after login to gnome, kern.log slowly fills with snd_hda_intel 0000:00:1f.3: No response from codec

Bug #1884940 reported by Gilbertf on 2020-06-24
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
OEM Priority Project
High
Rex Tsai
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Laptop : Dell XPS 2020 9300
Pre-loaded with Ubuntu 18.04 LTS
Latest BIOS, latest available kernel, all updates applied

linux kernel 5.0.0-1059-oem-osp1

After I log to Gnome, the kern.log fills itself with lines reporting this :

Jun 24 14:46:22 asgard kernel: [ 158.134245] snd_hda_intel 0000:00:1f.3: No response from codec, resetting bus: last cmd=0x2063b000

One per second. This lasts 10 to 15 seconds.

Then, I see some lines but I do not know if they are related to this :

Jun 24 14:47:08 asgard kernel: [ 203.874519] ACPI Error: AE_AML_PACKAGE_LIMIT, Index (0x00000003D) is beyond end of object (length 0x10) (20181213/exoparg2-396)
Jun 24 14:47:08 asgard kernel: [ 203.874538] No Local Variables are initialized for Method [GINF]
Jun 24 14:47:08 asgard kernel: [ 203.874539] Initialized Arguments for Method [GINF]: (2 arguments defined for method invocation)
Jun 24 14:47:08 asgard kernel: [ 203.874540] Arg0: 0000000069cda4c2 <Obj> Integer 000000000000003D
Jun 24 14:47:08 asgard kernel: [ 203.874543] Arg1: 00000000806e1ac9 <Obj> Integer 0000000000000000
Jun 24 14:47:08 asgard kernel: [ 203.874546] ACPI Error: Method parse/execution failed \_SB.GINF, AE_AML_PACKAGE_LIMIT (20181213/psparse-531)
Jun 24 14:47:08 asgard kernel: [ 203.874550] ACPI Error: Method parse/execution failed \_SB.GADR, AE_AML_PACKAGE_LIMIT (20181213/psparse-531)
Jun 24 14:47:08 asgard kernel: [ 203.874553] ACPI Error: Method parse/execution failed \_SB.SGOV, AE_AML_PACKAGE_LIMIT (20181213/psparse-531)
Jun 24 14:47:08 asgard kernel: [ 203.874556] ACPI Error: Method parse/execution failed \_SB.CGWR, AE_AML_PACKAGE_LIMIT (20181213/psparse-531)
Jun 24 14:47:08 asgard kernel: [ 203.874559] ACPI Error: Method parse/execution failed \_SB.TBFP, AE_AML_PACKAGE_LIMIT (20181213/psparse-531)
Jun 24 14:47:08 asgard kernel: [ 203.874562] ACPI Error: Method parse/execution failed \_SB.WMTF.WMTF, AE_AML_PACKAGE_LIMIT (20181213/psparse-531)
Jun 24 14:47:09 asgard kernel: [ 204.515539] snd_hda_intel 0000:00:1f.3: No response from codec, resetting bus: last cmd=0x20278103
Jun 24 14:47:09 asgard kernel: [ 204.515545] snd_hda_codec_hdmi hdaudioC0D2: Unable to sync register 0x2f8100. -11

Then it scrolls very quickly and I get a huge amount of "hsw_power_well_enable"
No idea if this is related to the messages with the sound card.
Those "hsw_power_well_enable" things are also/maybe/no idea related to another reported bug :
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1878670

Jun 24 14:47:09 asgard kernel: [ 205.219410] ------------[ cut here ]------------
Jun 24 14:47:09 asgard kernel: [ 205.219413] WARN_ON(intel_wait_for_register(dev_priv, regs->driver, (0x1 << ((pw_idx) * 2)), (0x1 << ((pw_idx) * 2)), 1))
Jun 24 14:47:09 asgard kernel: [ 205.219489] WARNING: CPU: 6 PID: 2794 at /build/linux-oem-osp1-cysXhs/linux-oem-osp1-5.0.0/drivers/gpu/drm/i915/intel_runtime_pm.c:308 hsw_wait_for_power_well_enable.isra.8+0x4c/0x50 [i915]
Jun 24 14:47:09 asgard kernel: [ 205.219489] Modules linked in: ccm cmac bnep uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 btusb videobuf2_common btrtl btbcm btintel videodev bluetooth media ecdh_generic hid_multitouch 8250_dw snd_hda_codec_hdmi dell_laptop arc4 intel_rapl x86_pkg_temp_thermal sof_pci_dev nls_iso8859_1 intel_powerclamp snd_sof_intel_hda_common coretemp snd_soc_hdac_hda snd_sof_intel_hda snd_sof_xtensa_dsp kvm_intel snd_sof snd_hda_codec_realtek snd_hda_ext_core snd_hda_codec_generic snd_soc_acpi_intel_match ledtrig_audio snd_soc_acpi snd_soc_core snd_compress ac97_bus snd_pcm_dmaengine snd_hda_intel snd_intel_nhlt snd_hda_codec snd_hda_core crct10dif_pclmul snd_hwdep crc32_pclmul ghash_clmulni_intel snd_pcm snd_seq_midi snd_seq_midi_event snd_rawmidi snd_seq aesni_intel dell_wmi dell_smbios iwlmvm aes_x86_64 crypto_simd cryptd glue_helper intel_cstate input_leds joydev dcdbas snd_seq_device intel_rapl_perf snd_timer mac80211 serio_raw wmi_bmof intel_wmi_thunderbolt dell_wmi_descriptor
Jun 24 14:47:09 asgard kernel: [ 205.219508] iwlwifi snd soundcore hid_sensor_als hid_sensor_trigger rtsx_pci_ms industrialio_triggered_buffer kfifo_buf mei_me hid_sensor_iio_common idma64 virt_dma cfg80211 memstick mei industrialio intel_lpss_pci intel_lpss ucsi_acpi typec_ucsi typec int3403_thermal int340x_thermal_zone mac_hid acpi_pad intel_hid int3400_thermal sparse_keymap acpi_tad acpi_thermal_rel sch_fq_codel parport_pc ppdev lp parport ip_tables x_tables autofs4 btrfs zstd_compress raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor async_tx xor mmc_block raid6_pq libcrc32c raid1 raid0 multipath linear usbhid hid_sensor_hub hid_generic intel_ishtp_hid i915 kvmgt vfio_mdev mdev vfio_iommu_type1 rtsx_pci_sdmmc vfio kvm psmouse irqbypass i2c_algo_bit drm_kms_helper syscopyarea nvme sysfillrect sysimgblt fb_sys_fops drm nvme_core rtsx_pci intel_ish_ipc thunderbolt intel_ishtp wmi i2c_hid hid video pinctrl_icelake pinctrl_intel
Jun 24 14:47:09 asgard kernel: [ 205.219532] CPU: 6 PID: 2794 Comm: fwupd Tainted: G W 5.0.0-1059-oem-osp1 #64-Ubuntu
Jun 24 14:47:09 asgard kernel: [ 205.219533] Hardware name: Dell Inc. XPS 13 9300/077Y9N, BIOS 1.0.11 05/08/2020
Jun 24 14:47:09 asgard kernel: [ 205.219553] RIP: 0010:hsw_wait_for_power_well_enable.isra.8+0x4c/0x50 [i915]
Jun 24 14:47:09 asgard kernel: [ 205.219555] Code: 01 c9 8b 70 04 6a 00 d3 e2 89 d1 e8 3e 86 04 00 85 c0 5a 75 02 c9 c3 48 c7 c6 98 02 5a c0 48 c7 c7 55 fd 58 c0 e8 44 5d 82 ed <0f> 0b c9 c3 0f 1f 44 00 00 55 ba 01 00 00 00 48 89 e5 41 57 41 56
Jun 24 14:47:09 asgard kernel: [ 205.219556] RSP: 0018:ffffc232443c7aa0 EFLAGS: 00010286
Jun 24 14:47:09 asgard kernel: [ 205.219557] RAX: 0000000000000000 RBX: ffff9fa6afb38000 RCX: 0000000000000000
Jun 24 14:47:09 asgard kernel: [ 205.219558] RDX: 000000000000006d RSI: ffffffffaf76692d RDI: 0000000000000246
Jun 24 14:47:09 asgard kernel: [ 205.219559] RBP: ffffc232443c7aa0 R08: 0000000000000000 R09: ffffffffaf7668c0
Jun 24 14:47:09 asgard kernel: [ 205.219559] R10: ffffc232419abd68 R11: 0000000000000001 R12: 0000000000000000
Jun 24 14:47:09 asgard kernel: [ 205.219560] R13: 0000000000000005 R14: ffff9fa6af6b3100 R15: ffffffffc0571240
Jun 24 14:47:09 asgard kernel: [ 205.219561] FS: 00007fb5cca0e5c0(0000) GS:ffff9fa6bf780000(0000) knlGS:0000000000000000
Jun 24 14:47:09 asgard kernel: [ 205.219562] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jun 24 14:47:09 asgard kernel: [ 205.219563] CR2: 00007fed9001f488 CR3: 00000003e02d8003 CR4: 0000000000760ee0
Jun 24 14:47:09 asgard kernel: [ 205.219563] PKRU: 55555554
Jun 24 14:47:09 asgard kernel: [ 205.219564] Call Trace:
Jun 24 14:47:09 asgard kernel: [ 205.219584] hsw_power_well_enable+0xaf/0x1d0 [i915]
Jun 24 14:47:09 asgard kernel: [ 205.219603] icl_tc_phy_aux_power_well_enable+0x7f/0x90 [i915]
Jun 24 14:47:09 asgard kernel: [ 205.219620] intel_power_well_enable+0x3f/0x50 [i915]
Jun 24 14:47:09 asgard kernel: [ 205.219637] __intel_display_power_get_domain+0x75/0x90 [i915]
Jun 24 14:47:09 asgard kernel: [ 205.219655] intel_display_power_get+0x33/0x50 [i915]
Jun 24 14:47:09 asgard kernel: [ 205.219687] pps_lock+0x23/0x40 [i915]
Jun 24 14:47:09 asgard kernel: [ 205.219710] intel_dp_aux_xfer+0x8b/0x680 [i915]
Jun 24 14:47:09 asgard kernel: [ 205.219714] ? chrdev_open+0xc4/0x1b0
Jun 24 14:47:09 asgard kernel: [ 205.219735] intel_dp_aux_transfer+0xaf/0x240 [i915]
Jun 24 14:47:09 asgard kernel: [ 205.219737] ? unlazy_walk+0x3b/0xb0
Jun 24 14:47:09 asgard kernel: [ 205.219743] drm_dp_dpcd_access+0x75/0x110 [drm_kms_helper]
Jun 24 14:47:09 asgard kernel: [ 205.219747] drm_dp_dpcd_read+0x33/0xc0 [drm_kms_helper]
Jun 24 14:47:09 asgard kernel: [ 205.219752] auxdev_read_iter+0x10f/0x1d0 [drm_kms_helper]
Jun 24 14:47:09 asgard kernel: [ 205.219755] new_sync_read+0x109/0x170
Jun 24 14:47:09 asgard kernel: [ 205.219756] __vfs_read+0x29/0x40
Jun 24 14:47:09 asgard kernel: [ 205.219757] vfs_read+0x8e/0x130
Jun 24 14:47:09 asgard kernel: [ 205.219758] ksys_read+0x5c/0xe0
Jun 24 14:47:09 asgard kernel: [ 205.219759] __x64_sys_read+0x1a/0x20
Jun 24 14:47:09 asgard kernel: [ 205.219762] do_syscall_64+0x5a/0x120
Jun 24 14:47:09 asgard kernel: [ 205.219765] entry_SYSCALL_64_after_hwframe+0x44/0xa9
Jun 24 14:47:09 asgard kernel: [ 205.219766] RIP: 0033:0x7fb5ca0fd384
Jun 24 14:47:09 asgard kernel: [ 205.219767] Code: 84 00 00 00 00 00 41 54 55 49 89 d4 53 48 89 f5 89 fb 48 83 ec 10 e8 8b fc ff ff 4c 89 e2 41 89 c0 48 89 ee 89 df 31 c0 0f 05 <48> 3d 00 f0 ff ff 77 38 44 89 c7 48 89 44 24 08 e8 c7 fc ff ff 48
Jun 24 14:47:09 asgard kernel: [ 205.219768] RSP: 002b:00007ffcdea80b60 EFLAGS: 00000246 ORIG_RAX: 0000000000000000
Jun 24 14:47:09 asgard kernel: [ 205.219769] RAX: ffffffffffffffda RBX: 0000000000000013 RCX: 00007fb5ca0fd384
Jun 24 14:47:09 asgard kernel: [ 205.219770] RDX: 0000000000000001 RSI: 00007ffcdea80bc4 RDI: 0000000000000013
Jun 24 14:47:09 asgard kernel: [ 205.219770] RBP: 00007ffcdea80bc4 R08: 0000000000000000 R09: 00005577de51a010
Jun 24 14:47:09 asgard kernel: [ 205.219771] R10: 0000000000000000 R11: 0000000000000246 R12: 0000000000000001
Jun 24 14:47:09 asgard kernel: [ 205.219771] R13: 00007ffcdea80c30 R14: 00007ffcdea80bc4 R15: 00005577de646960
Jun 24 14:47:09 asgard kernel: [ 205.219773] ---[ end trace f3864d89d13cbfe9 ]---
Jun 24 14:47:09 asgard kernel: [ 205.241918] ------------[ cut here ]------------

After a dozen or so of those [ cut here ] blocks, the sound card seems to be willing to work.

The sound icon then appears and I get sound and can control it.

This on a er... "certified" Ubuntu machine pre-loaded :)
Doesn't seem like Dell cares about checking logs when certifying.

Well, if there's a way to have this fixed or if you need more information ?
---
ProblemType: Bug
ApportVersion: 2.20.9-0ubuntu7.15
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: gilbert 2305 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
DistributionChannelDescriptor:
 # This is the distribution channel descriptor for the OEM CDs
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-somerville-bionic-amd64-20190418-59+beaver-osp1+X00
DistroRelease: Ubuntu 18.04
InstallationDate: Installed on 2020-04-29 (72 days ago)
InstallationMedia: Ubuntu 18.04 "Bionic" - Build amd64 LIVE Binary 20190418-12:10
MachineType: Dell Inc. XPS 13 9300
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-1063-oem-osp1 root=UUID=5a3fd3ad-1ee6-42e6-a156-083b1afa390b ro quiet splash mem_sleep_default=deep noibrs noibpb nopti nospectre_v2 nospectre_v1 l1tf=off nospec_store_bypass_disable no_stf_barrier mds=off tsx=on tsx_async_abort=off mitigations=off vt.handoff=1
ProcVersionSignature: Ubuntu 5.0.0-1063.68-oem-osp1 5.0.21
RelatedPackageVersions:
 linux-restricted-modules-5.0.0-1063-oem-osp1 N/A
 linux-backports-modules-5.0.0-1063-oem-osp1 N/A
 linux-firmware 1.173.19
Tags: bionic
Uname: Linux 5.0.0-1063-oem-osp1 x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip kvm lpadmin plugdev sambashare sudo wireshark
_MarkForUpload: True
dmi.bios.date: 05/08/2020
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.0.11
dmi.board.name: 077Y9N
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 10
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.0.11:bd05/08/2020:svnDellInc.:pnXPS139300:pvr:rvnDellInc.:rn077Y9N:rvrA00:cvnDellInc.:ct10:cvr:
dmi.product.family: XPS
dmi.product.name: XPS 13 9300
dmi.product.sku: 096D
dmi.sys.vendor: Dell Inc.

Gilbertf (gilbert-fernandes) wrote :
Gilbertf (gilbert-fernandes) wrote :
Gilbertf (gilbert-fernandes) wrote :

If you need more logs or anything from me, please ask.

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1884940/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
affects: ubuntu → kernel-package (Ubuntu)
affects: kernel-package (Ubuntu) → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1884940

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: disco
Gilbertf (gilbert-fernandes) wrote :

The apport command does not seem to work.
Launched it, it opens a browser
Selected "Until I disable it" then this appears in console :

gilbert@asgard:/var/log$ apport-collect 1884940
The authorization page:
 (https://launchpad.net/+authorize-token?oauth_token=zbP5B1dszlSRkqLvHKLd&allow_permission=DESKTOP_INTEGRATION)
should be opening in your browser. Use your browser to authorize
this program to access Launchpad on your behalf.
Waiting to hear from Launchpad about your decision...
ERROR: connecting to Launchpad failed: [Errno 13] Permission denied: '/home/gilbert/.cache/apport/launchpad.credentials'
You can reset the credentials by removing the file "/home/gilbert/.cache/apport/launchpad.credentials"

If I check that file :

gilbert@asgard:/var/log$ sudo file /home/gilbert/.cache/apport/launchpad.credentials
[sudo] password for gilbert:
/home/gilbert/.cache/apport/launchpad.credentials: cannot open `/home/gilbert/.cache/apport/launchpad.credentials' (No such file or directory)

That file does not even exist.

Rex Tsai (chihchun) on 2020-07-10
tags: added: beaver-osp1-melisa
tags: added: oem-priority
Rex Tsai (chihchun) on 2020-07-10
tags: added: bionic
removed: disco
Rex Tsai (chihchun) wrote :

@gilbert

We are not able to reproudce the issue using 5.0.0-1064-oem-osp1 kernel, need more debug information from you using apport.

It seems you may have a permission problem with the your home folder, maybe you can fix by running the following command
$ sudo chown -R $UID ${HOME}/.cache/apport
$ apport-collect 1884940

Changed in oem-priority:
importance: Undecided → High
assignee: nobody → Rex Tsai (chihchun)
Martin Packman (gz) wrote :

@chihchun see bug 1879389 for the apport dump.

Because the kernel logs fill up with WARN_ON(intel_wait_for_register(...))/hsw_wait_for_power_well_enable it's hard to find specific other issues.

I have observed the sound driver being crashy/sad on the same hardware but it's possibly improved with subsequent updates? Hard to tell with intermittent issues.

Leimar (leimarf) wrote :

Try creating the file audio_powersave.conf in /etc/modprobe.d/ and add "options snd_hda_intel power_save=0" to this file (without quotation). This fixed this issue for me.

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Gilbertf (gilbert-fernandes) wrote :

Thanks Leinar. Gonna make that file :)
I am waiting for Dell to push if that ever happens the 20.04 to my machine
If that doesnt happen, I will in september move from 18.04 to 20.04

Gilbertf (gilbert-fernandes) wrote :

I have done the apport thing :

gilbert@asgard:~$ apport-collect 1884940
The authorization page:
 (https://launchpad.net/+authorize-token?oauth_token=Dpc7Qj9hcRc8Xz4QN47g&allow_permission=DESKTOP_INTEGRATION)
should be opening in your browser. Use your browser to authorize
this program to access Launchpad on your behalf.
Waiting to hear from Launchpad about your decision...
dpkg-query: no packages found matching linux

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers